<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="pasos">
        <h2 class="jh-entity-heading" data-cy="pasosDetailsHeading">
          <span v-text="$t('gatewayApp.manillaPasos.detail.title')">Pasos</span> {{ pasos.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaPasos.nroPasos')">Nro Pasos</span>
          </dt>
          <dd>
            <span>{{ pasos.nroPasos }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaPasos.timeInstant')">Time Instant</span>
          </dt>
          <dd>
            <span v-if="pasos.timeInstant">{{ $d(Date.parse(pasos.timeInstant), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaPasos.user')">User</span>
          </dt>
          <dd>
            {{ pasos.user ? pasos.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="pasos.id" :to="{ name: 'PasosEdit', params: { pasosId: pasos.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./pasos-details.component.ts"></script>
